## python-flask-marshmallow 0.10.1

=== docs/requirements.txt ===
marshmallow_sqlalchemy
sphinx
sphinx-issues

=== debian/changelog ===
python-flask-marshmallow (0.10.1-4) unstable; urgency=medium

  * Add python3-importlib-metadata as a dependency
    (as per buildd logs)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 29 Oct 2019 12:12:53 +0530

python-flask-marshmallow (0.10.1-3) unstable; urgency=medium

  * Update d/copyright (Closes: #942456)
  * Close RFP bug (Closes: #819645)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 22 Oct 2019 19:15:06 +0530

python-flask-marshmallow (0.10.1-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.4.1
  * Run wrap-and-sort

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Thu, 17 Oct 2019 22:36:26 +0530

python-flask-marshmallow (0.10.1-1) experimental; urgency=medium

  * Initial release (Closes: #934348)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Fri, 09 Aug 2019 21:16:53 +0530

=== debian/control ===
Source: python-flask-marshmallow
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Utkarsh Gupta <guptautkarsh2102@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-flask-sqlalchemy,
               python3-importlib-metadata,
               python3-marshmallow,
               python3-marshmallow-sqlalchemy,
               python3-pytest,
               python3-setuptools,
               python3-six
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flask-marshmallow
Vcs-Git: https://salsa.debian.org/python-team/modules/python-flask-marshmallow.git
Homepage: https://flask-marshmallow.readthedocs.io/en/latest/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-flask-marshmallow
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Flask + marshmallow for beautiful APIs
 Flask-Marshmallow is a thin integration layer for Flask (a Python web
 framework) and marshmallow (an object serialization/deserialization library)
 that adds additional features to marshmallow, including URL and Hyperlinks
 fields for HATEOAS-ready APIs.
 .
 It also (optionally) integrates with Flask-SQLAlchemy.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Tests: python3-flask-marshmallow
Depends: @,
         @builddeps@,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/marshmallow-code/flask-marshmallow/-/tags  .*-/archive/?(\d\S+)\.tar\.(?:bz2|gz)

## python-flask-marshmallow 0.14.0

=== debian/changelog ===
python-flask-marshmallow (0.14.0-3) unstable; urgency=medium

  * Team upload.
  * gbp: Add a starting config
  * Add patches from patch-queue branch
    Added patches:
    test-Use-pytest.fixture-instead-of-pytest.yield_fixture.patch
    tests-Import-Response-if-werkzeug-2.1.0.patch
  * autopkgtest: Restructure and extend output of test call
  * d/README.source: Add a basic information
  * Rename docs -> python3-flask-marshmallow.docs
  * d/control: Update Standards-Version to 4.6.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 13 Oct 2022 20:10:28 +0200

python-flask-marshmallow (0.14.0-2) unstable; urgency=medium

  * Team upload.
  * No-change rebuild for unstable. (Closes: #1002385)

 -- Gabriela Pivetta <gpivetta99@gmail.com>  Sun, 14 Aug 2022 06:19:21 -0300

python-flask-marshmallow (0.14.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * New upstream version 0.14.0 (Closes: #989269)
  * d/control: Bump Standards-Versions to 4.5.1
  * d/control: bump debhelper-compat to 13

  [ Debian Janitor ]
  * Remove obsolete field Name from d/u//metadata.

  [ Utkarsh Gupta ]
  * Use my @d.o email address

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 21 Jan 2022 19:23:28 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-flask-marshmallow
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Utkarsh Gupta <guptautkarsh2102@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Utkarsh Gupta <utkarsh@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-flask-sqlalchemy,
@@ -13,9 +13,9 @@
                python3-pytest,
                python3-setuptools,
                python3-six
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-flask-marshmallow
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-flask-marshmallow.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flask-marshmallow
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-flask-marshmallow.git
 Homepage: https://flask-marshmallow.readthedocs.io/en/latest/
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://github.com/marshmallow-code/flask-marshmallow/tags (?:.*?/)?(\d.*)\.tar\.gz

## python-flask-marshmallow 0.15.0

=== debian/changelog ===
python-flask-marshmallow (0.15.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Jun 2023 15:58:51 +0200

python-flask-marshmallow (0.15.0-1) experimental; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Carsten Schoenert ]
  * New upstream version 0.15.0
  * Rebuild patch queue from patch-queue branch
    Drop the existing patches, they are not needed any more. Adding new
    patch regarding the sphinxdoc based documentation.
    Removed patches:
    test-Use-pytest.fixture-instead-of-pytest.yield_fixture.patch
    tests-Import-Response-if-werkzeug-2.1.0.patch
    Added patches:
    docs-Don-t-use-external-intersphinx.patch
  * d/*: Running wrap-and-sort -ast
  * d/copyright: Update year data and copyright holder
  * d/control: Adjust B-D entries, add BuildProfileSpecs
  * d/rules: Drop --with option in default target
  * d/u/m/: Add FAQ entry
  * python-flask-marshmallow-doc: Add new binary package
  * d/python-flask-marshmallow-doc: Add doc-base sequencer
  * d/README.source: Add hint about missing -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Apr 2023 09:18:40 +0200

=== debian/control ===
Source: python-flask-marshmallow
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Utkarsh Gupta <utkarsh@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 flask-sqlalchemy-doc <!nodoc>,
 pybuild-plugin-pyproject,
 python-flask-doc <!nodoc>,
 python3-all,
 python3-doc <!nodoc>,
 python3-flask-sqlalchemy <!nocheck>,
 python3-marshmallow-doc <!nodoc>,
 python3-marshmallow-sqlalchemy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flask-marshmallow
Vcs-Git: https://salsa.debian.org/python-team/packages/python-flask-marshmallow.git
Homepage: https://flask-marshmallow.readthedocs.io/en/latest/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-flask-marshmallow-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 flask-sqlalchemy-doc,
 python-flask-doc,
 python3-doc,
 python3-marshmallow-doc,
Multi-Arch: foreign
Description: Flask + marshmallow for beautiful APIs (Documentation)
 Flask-Marshmallow is a thin integration layer for Flask (a Python web
 framework) and marshmallow (an object serialization/deserialization library)
 that adds additional features to marshmallow, including URL and Hyperlinks
 fields for HATEOAS-ready APIs.
 .
 This package installs the documentation for the library.

Package: python3-flask-marshmallow
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-flask-marshmallow-doc,
Description: Flask + marshmallow for beautiful APIs (Python3)
 Flask-Marshmallow is a thin integration layer for Flask (a Python web
 framework) and marshmallow (an object serialization/deserialization library)
 that adds additional features to marshmallow, including URL and Hyperlinks
 fields for HATEOAS-ready APIs.
 .
 It also (optionally) integrates with Flask-SQLAlchemy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=flask_marshmallow
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-flask-marshmallow-doc/usr/share/doc/python-flask-marshmallow-doc/html
	dh_sphinxdoc
endif

## python-flask-marshmallow 1.2.0

=== debian/changelog ===
python-flask-marshmallow (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * [f3358e7] New upstream version 1.2.0
  * [b2bc29a] Rebuild patch queue from patch-queue branch
    Removed patch:
    docs-Fix-Sphinx-build-with-7.2.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 07 Feb 2024 17:56:59 +0100

python-flask-marshmallow (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * [aa94690] d/watch: Move over to git mode on GitHub
  * [1c8982a] New upstream version 1.1.0
  * [b1def61] Rebuild patch queue from patch-queue branch
    Added patch:
    tests-Ignore-tests-in-test_sqla.py-if-Flask-is-y-3.x.patch
  * [bea59a9] d/control: Adjust B-D due new upstream version
  * [023763e] d/rules: Adjust Sphinx based build
  * [2c98a6c] d/copyright: Update year data
  * [04a77b7] d/rules: Work around executable file permissions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Jan 2024 08:47:32 +0100

python-flask-marshmallow (0.15.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild patch queue from patch-queue branch
    Added patch:
    docs-Fix-Sphinx-build-with-7.2.patch
    (Closes: #1042586)
  * d/rules: Don't compress changelog.html

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 03 Dec 2023 10:59:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  flask-sqlalchemy-doc <!nodoc>,
+ flit,
  pybuild-plugin-pyproject,
  python-flask-doc <!nodoc>,
  python3-all,
@@ -17,7 +18,6 @@
  python3-marshmallow-doc <!nodoc>,
  python3-marshmallow-sqlalchemy <!nocheck>,
  python3-pytest <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
 Standards-Version: 4.6.2

=== debian/tests/control ===
Tests: python3-flask-marshmallow
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions: allow-stderr

## python-flask-marshmallow 1.2.1

=== debian/changelog ===
python-flask-marshmallow (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * [6123e1b] New upstream version 1.2.1
  * [d92beac] d/control: Use the GitHub URL in the Homepage field
  * [cd7c672] d/u/metadata: Use https for FAQ entry

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 Mar 2024 20:15:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,22 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. \
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "flask_marshmallow*dist-info" | head -n1)` \
 	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-flask-marshmallow-doc/usr/share/doc/python-flask-marshmallow-doc/html
 	dh_sphinxdoc
 endif
+
+override_dh_compress:
+	dh_compress -X changelog.html
+
+override_dh_fixperms:
+	dh_fixperms
+	# Fixing file permissions for Python files.
+	for file in `find $(CURDIR)/debian/python3-flask-marshmallow -type f`; do \
+	    FOUND_PYTHON=$$(head -n1 $$file | grep python); \
+	    if [ "$$FOUND_PYTHON" != "" ]; then \
+	        chmod +x $$file; \
+	    else \
+	        chmod -x $$file; \
+	    fi; \
+	done

## python-flask-marshmallow 1.3.0

=== debian/changelog ===
python-flask-marshmallow (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * [934ff6f] New upstream version 1.3.0
  * [2eec9b8] Revert "autopkgtest: Ignore the tow tests too"
  * [4f363ed] d/rules: Drop PYBUILD_TEST_ARGS now again
  * [4570dbe] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 09 Jan 2025 19:11:18 +0200

python-flask-marshmallow (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * [f36347a] d/rules: Ignore two tests while package build
    (Closes: #1090273)
  * [f79d816] autopkgtest: Ignore the tow tests too
  * [22d3608] d/rules: Drop -D option from SPHINXOPTS
  * [3099a86] Rebuild patch queue from patch-queue branch
    Dropped patch:
    tests-Ignore-tests-in-test_sqla.py-if-Flask-is-y-3.x.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 04 Jan 2025 15:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flask-marshmallow
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flask-marshmallow.git
-Homepage: https://flask-marshmallow.readthedocs.io/en/latest/
+Homepage: https://github.com/marshmallow-code/flask-marshmallow
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,17 @@
 
 #export DH_VERBOSE = 1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=flask_marshmallow
 export PYBUILD_SYSTEM=pyproject
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	rm -rf .mypy_cache .pytest_cache
+	dh_clean
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/marshmallow-code/flask-marshmallow.git \
      refs/tags/@ANY_VERSION@
